//
//  Shader.fsh
//  ES20
//
//  Created by Aleksejs Mjaliks on 12.05.10.
//  Copyright (c) 2012. g. A25 SIA. All rights reserved.
//

varying lowp vec3 eyeNormal;
varying lowp vec2 texCoordVarying;

uniform sampler2D texture;

void main()
{
	lowp vec3 lightPosition = normalize(vec3(0.0, 0.2, 1.0));
	lowp float intesity = max(0.0, dot(normalize(eyeNormal), lightPosition));                 

	lowp vec3 color = intesity * texture2D(texture, texCoordVarying).rgb;
	gl_FragColor = vec4(color, 1.0);
}
